Bug 1552867 (CVE-2018-7740) - CVE-2018-7740 kernel: Denial of service in resv_map_release function in mm/hugetlb.c
Summary: CVE-2018-7740 kernel: Denial of service in resv_map_release function in mm/hu...
Status: NEW
Alias: CVE-2018-7740
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20180307,reported=2...
Keywords: Reopened, Security
Depends On: 1553000 1553007 1553009 1552868 1552992 1552993 1552994 1552995 1552996 1552997 1552998 1552999 1553001 1553002 1553005 1553006 1553008 1553010 1563927
Blocks: 1552870
TreeView+ depends on / blocked
 
Reported: 2018-03-07 21:11 UTC by Pedro Sampaio
Modified: 2019-02-08 14:56 UTC (History)
46 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
The resv_map_release function in mm/hugetlb.c in the Linux kernel, through 4.15.7, allows local users to cause a denial of service (BUG) via a crafted application that makes mmap system calls and has a large pgoff argument to the remap_file_pages system call.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-28 03:21:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3083 None None None 2018-10-30 07:32 UTC
Red Hat Product Errata RHSA-2018:3096 None None None 2018-10-30 07:38 UTC

Description Pedro Sampaio 2018-03-07 21:11:05 UTC
The resv_map_release function in mm/hugetlb.c in the Linux kernel through 4.15.7 allows local users to cause a denial of service (BUG) via a crafted application that makes mmap system calls and has a large pgoff argument to the remap_file_pages system call.

Upsteam bug:

https://bugzilla.kernel.org/show_bug.cgi?id=199037

Comment 1 Pedro Sampaio 2018-03-07 21:12:19 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1552868]

Comment 13 Justin M. Forbes 2018-05-04 17:00:37 UTC
This was fixed for fedora with 4.16.3 stable updates

Comment 14 errata-xmlrpc 2018-10-30 07:31:50 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3083 https://access.redhat.com/errata/RHSA-2018:3083

Comment 15 errata-xmlrpc 2018-10-30 07:37:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3096 https://access.redhat.com/errata/RHSA-2018:3096


Note You need to log in before you can comment on or make changes to this bug.